{
    name: "Take-Off",
    noCopy: true,
    onStart(pokemon) {
		  this.add('-start', pokemon, "Take-Off");
      if (pokemon.baseSpecies.baseSpecies !== "Druddigon" || pokemon.transformed)
        return;
      if (pokemon.species.id === "druddigonender") {
        pokemon.formeChange("Druddigon-Takeoff");
      }
    },
    onUpdate(pokemon) {
      if (this.field.getPseudoWeather("Gravity")) {
        pokemon.removeVolatile("takeoff");
      }
      if (pokemon.volatiles["smackdown"]) {
        pokemon.removeVolatile("takeoff");
      }
      pokemon.addVolatile("magnetrise");
    },
    onSwitchOut(pokemon) {
      if (pokemon.baseSpecies.baseSpecies !== "Druddigon" || pokemon.transformed)
        return;
      if (pokemon.species.id === "druddigontakeoff") {
        pokemon.formeChange("Druddigon-Ender");
      }
    },
    onEnd(pokemon) {
      this.add("-end", pokemon, "Take-Off");
      pokemon.removeVolatile("magnetrise");
      if (pokemon.baseSpecies.baseSpecies !== "Druddigon" || pokemon.transformed)
        return;
      if (pokemon.species.id === "druddigontakeoff") {
        pokemon.formeChange("Druddigon-Ender");
      }
    }
}